Subject: Re: [patch net-next v4 00/10] net: sched: allow qdiscs to share filter block instances

From: Jiri Pirko <[email-masked]>
Date: Fri, 5 Jan 2018 11:38:13 +0100

Thu, Jan 04, 2018 at 04:51:15PM CET, [email-masked] wrote:
>Thu, Jan 04, 2018 at 04:33:48PM CET, [email-masked] wrote:
>>From: Jiri Pirko <[email-masked]>
>>Date: Thu, 4 Jan 2018 11:12:57 +0100
>>
>>> No magic. ens8 and ens7 share the same block.
>>
>>No Jiri, the fact that they share the same block _IS MAGIC_.
>>
>>It is unexpected behavior to modify a rule and have it propagate
>>to devices not mentioned in the command line.
>>
>>This is totally going to break things and upset people.
>>
>>Saying it shows up in some tc dump command is not an argument
>>for this behavior being "expected".  NO way.
>>
>>I completely agree with David and others, you _MUST_ make an
>>explicit API and set of operations to make changes to rules
>>contained in shared blocks.
>
>Okay. So you say that when I create a qdisc and its block is created, I
>can never share it.
>
>I have to always explicitly create block to share and only then to bind
>it to some qdisc/s?

I think I have the idea. It can work as usual until the block gets to be
shared, then only the block-specific things would work. The exisint
filter add and filter should would error out (with extack message why).
Ok, I'm on it. Thanks.